﻿using System.Web;
using System.Web.Optimization;

namespace TreeviewAngular
{
    public class BundleConfig
    {
        // For more information on bundling, visit http://go.microsoft.com/fwlink/?LinkId=301862
        public static void RegisterBundles(BundleCollection bundles)
        {
            bundles.Add(new ScriptBundle("~/bundles/jquery").Include(
                        "~/Scripts/jquery-{version}.js"));

            bundles.Add(new ScriptBundle("~/bundles/jqueryval").Include(
                        "~/Scripts/jquery.validate*"));

            // Use the development version of Modernizr to develop with and learn from. Then, when you're
            // ready for production, use the build tool at http://modernizr.com to pick only the tests you need.
            bundles.Add(new ScriptBundle("~/bundles/modernizr").Include(
                        "~/Scripts/modernizr-*"));

            bundles.Add(new ScriptBundle("~/bundles/bootstrap").Include(
                      "~/Scripts/bootstrap.js",
                      "~/Scripts/respond.js"));

            bundles.Add(new StyleBundle("~/Content/css")
                   .Include("~/Content/font-awesome-4.3.0/css/font-awesome.css")
                   .Include("~/Content/bootstrap/bootstrap.css",
                            "~/Content/portal.css"));

            bundles.Add(new ScriptBundle("~/bundles/angular").Include(
                      "~/Scripts/angular.js",
                      "~/Scripts/angular-ui/ui-bootstrap-tpls.js",
                      "~/Scripts/angular-mocks.js"));

            bundles.Add(new ScriptBundle("~/bundles/syncfusion").Include(
                     "~/Scripts/jquery.easing.1.3.js",
                     "~/Scripts/jquery.globalize.min.js",
                     "~/Scripts/globalize/cultures/globalize.js",
                     "~/Scripts/globalize/cultures/globalize.culture.de-DE.js",
                     "~/Scripts/globalize/cultures/globalize.culture.en-GB.js",
                     "~/Scripts/globalize/cultures/globalize.culture.en-US.js",
                     "~/Scripts/globalize/cultures/globalize.culture.es-ES.js",
                     "~/Scripts/globalize/cultures/globalize.culture.fr-FR.js",
                     "~/Scripts/globalize/cultures/globalize.culture.ja-JP.js",
                     "~/Scripts/jsrender.js",
                     "~/Scripts/ej/ej.web.all.min.js",
                     "~/Scripts/ej/ej.unobtrusive.min.js",
                     "~/Scripts/ej/ej.widget.angular.min.js"
                     ));

            bundles.Add(new ScriptBundle("~/bundles/angularscripts").Include(
                    "~/AngularScripts/module.js",
                    "~/AngularScripts/service.js",
                    "~/AngularScripts/controller.js"
                    ));
#if DEBUG
            BundleTable.EnableOptimizations = false;
#else
            BundleTable.EnableOptimizations = true;
#endif
        }
    }
}
